List storage locations
curl --request GET \
--url https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
"<string>"
]items
List storage locations
List the names of the storage locations where the seller has items in this warehouse, sorted by name. The answer holds names only, with no quantities or items, and it is not paged, so a large seller can have thousands of names. For stock per item and storage location, use GET /items// (its itemInventories).
GET
/
items
/
{warehouseId}
/
{sellerId}
/
storages
List storage locations
curl --request GET \
--url https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/items/{warehouseId}/{sellerId}/storages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
"<string>"
]Authorizations
Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.
Path Parameters
Query Parameters
Response
Returns an array of storage location names (strings), sorted.